package com.example.mygymapp.view.mainActivity.components

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.navigation.NavHostController
import com.example.mygymapp.ui.theme.BlueBlack
import com.example.mygymapp.ui.theme.BlueDark

@Preview
@Composable
fun MainMenuScreen()
{
    Column(
        Modifier
            .background(color = BlueBlack)
            .padding(top = 50.dp, start = 15.dp, end = 15.dp),
        verticalArrangement = Arrangement.Top,
        horizontalAlignment = Alignment.CenterHorizontally,
    ){
        Box(modifier = Modifier
            .padding()
            .size(width = 325.dp, height = 150.dp)
            .background(color = BlueDark, shape = RoundedCornerShape(25.dp))
                ) {
        }

        Box(modifier = Modifier
            .padding()
            .size(width = 160.dp, height = 150.dp)
            .background(color = BlueDark, shape = RoundedCornerShape(25.dp))
        ) {
        }

        Box(modifier = Modifier
            .padding()
            .size(width = 325.dp, height = 150.dp)
            .background(color = BlueDark, shape = RoundedCornerShape(25.dp))
        ) {
        }
    }
}